Bug 647149 - Review Request: perl-Test-Fatal - Incredibly simple helpers for testing code with exceptions
Summary: Review Request: perl-Test-Fatal - Incredibly simple helpers for testing code ...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 647124
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-27 11:39 UTC by Paul Howarth
Modified: 2010-12-05 22:07 UTC (History)
3 users (show)

Fixed In Version: perl-Test-Fatal-0.003-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-05 22:07:11 UTC
ppisar: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Paul Howarth 2010-10-27 11:39:29 UTC
Spec URL: http://subversion.city-fan.org/repos/cfo-repo/perl-Test-Fatal/branches/fedora/perl-Test-Fatal.spec
SRPM URL: http://www.city-fan.org/~paul/extras/perl-Test-Fatal/perl-Test-Fatal-0.001-2.fc13.src.rpm

Description:
Test::Fatal is an alternative to the popular Test::Exception. It does much
less, but should allow greater flexibility in testing exception-throwing code
with about the same amount of typing.

It exports one routine by default: exception.

This package requires perl(Try::Tiny) 0.07, requested in Bug #647124.

This package is needed to upgrade perl-Package-DeprecationManager to 0.10.

Comment 1 Paul Howarth 2010-10-28 10:51:42 UTC
Upstream updated to 0.002.

New SRPM:
http://www.city-fan.org/~paul/extras/perl-Test-Fatal/perl-Test-Fatal-0.002-1.fc13.src.rpm

Spec URL unchanged.

Comment 2 Paul Howarth 2010-10-29 09:32:00 UTC
Upstream updated to 0.003.

New SRPM:
http://www.city-fan.org/~paul/extras/perl-Test-Fatal/perl-Test-Fatal-0.003-1.fc13.src.rpm

Spec URL unchanged.

Comment 3 Paul Howarth 2010-11-02 15:53:47 UTC
Try::Tiny is now updated to 0.07 in Rawhide, so this package can now be built for F15.

Comment 4 Petr Pisar 2010-11-04 16:29:46 UTC
Source file original. Ok.
License verified from README. Ok.

> Patch0:         Test-Fatal-0.003-versions.patch
TODO: Post the patch to upstream.

> -use ExtUtils::MakeMaker 6.31;
> +use ExtUtils::MakeMaker 6.17;
TODO: Put the version to BuildRequires in spec file. This makes RPM backporting into old distribution easier.

> -    'Test::More' => '0.96',
> +    'Test::More' => '0.47',
TODO: Put the version to BuildRequires in spec file.

> BuildRequires:  perl(Test::Pod)
> $ grep -Hnr Test::Pod *
> t/release-pod-syntax.t:12:eval "use Test::Pod 1.41";
> t/release-pod-syntax.t:13:plan skip_all => "Test::Pod 1.41 required for testing
TODO: Put the version to BuildRequires in spec file.

All tests pass. Ok.

$ rpmlint perl-Test-Fatal.spec ../SRPMS/perl-Test-Fatal-0.003-1.fc15.src.rpm ../RPMS/noarch/perl-Test-Fatal-0.003-1.fc15.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

rpmlint Ok.

$ rpm -pq -lv ../RPMS/noarch/perl-Test-Fatal-0.003-1.fc15.noarch.rpm
drwxr-xr-x    2 root    root                        0 lis  4 17:08 /usr/share/doc/perl-Test-Fatal-0.003
-rw-r--r--    1 root    root                      379 říj 29 04:11 /usr/share/doc/perl-Test-Fatal-0.003/Changes
-rw-r--r--    1 root    root                    18258 říj 29 04:11 /usr/share/doc/perl-Test-Fatal-0.003/LICENSE
-rw-r--r--    1 root    root                      324 říj 29 04:11 /usr/share/doc/perl-Test-Fatal-0.003/README
-rw-r--r--    1 root    root                     3046 lis  4 17:08 /usr/share/man/man3/Test::Fatal.3pm.gz
drwxr-xr-x    2 root    root                        0 lis  4 17:08 /usr/share/perl5/vendor_perl/Test
-rw-r--r--    1 root    root                     3355 lis  4 17:08 /usr/share/perl5/vendor_perl/Test/Fatal.pm

File layout and permissions Ok.

$ rpm -pq --requires ../RPMS/noarch/perl-Test-Fatal-0.003-1.fc15.noarch.rpm | sort | uniq -c
      1 perl(Carp)  
      1 perl(Exporter) >= 5.57
      1 perl(:MODULE_COMPAT_5.12.2)  
      1 perl(strict)  
      1 perl(Try::Tiny) >= 0.07
      1 perl(warnings)  
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 rpmlib(VersionedDependencies) <= 3.0.3-1

$ rpm -pq --provides ../RPMS/noarch/perl-Test-Fatal-0.003-1.fc15.noarch.rpm | sort | uniq -c
      1 perl(Test::Fatal) = 0.003
      1 perl-Test-Fatal = 0.003-1.fc15

Binary dependencies Ok.

Package is in line with Fedora and Perl packaging guidelines.

Package builds in F15 (http://koji.fedoraproject.org/koji/taskinfo?taskID=2576674). Ok.


Please consider correcting all `TODO' prefixed advises.
Resolution: Package APPROVED.

Comment 5 Paul Howarth 2010-11-04 16:39:47 UTC
New Package CVS Request
=======================
Package Name: perl-Test-Fatal
Short Description: Incredibly simple helpers for testing code with exceptions 
Owners: pghmcfc
Branches: EL-4 EL-5 EL-6 F-13 F-14
InitialCC: perl-sig

Comment 6 Paul Howarth 2010-11-04 16:51:27 UTC
>> Patch0:         Test-Fatal-0.003-versions.patch
>TODO: Post the patch to upstream.

Done: https://rt.cpan.org/Public/Bug/Display.html?id=62699

>> -use ExtUtils::MakeMaker 6.31;
>> +use ExtUtils::MakeMaker 6.17;
>TODO: Put the version to BuildRequires in spec file. This makes RPM backporting
into old distribution easier.

Not really necessary: this version requirement is met by all current releases including EL-4.

>> -    'Test::More' => '0.96',
>> +    'Test::More' => '0.47',
>TODO: Put the version to BuildRequires in spec file.

Again, this requirement is met by all current releases.

>> BuildRequires:  perl(Test::Pod)
>> $ grep -Hnr Test::Pod *
>> t/release-pod-syntax.t:12:eval "use Test::Pod 1.41";
>> t/release-pod-syntax.t:13:plan skip_all => "Test::Pod 1.41 required for testing
>TODO: Put the version to BuildRequires in spec file.

Doing that would prevent builds on older releases purely because we couldn't check the POD syntax during the build, so I don't think that's a good idea.

Thanks for the review Petr.

Comment 7 Jason Tibbitts 2010-11-05 17:27:20 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2010-11-19 20:05:59 UTC
perl-Test-Fatal-0.003-1.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/perl-Test-Fatal-0.003-1.el4

Comment 9 Fedora Update System 2010-11-19 20:06:05 UTC
perl-Test-Fatal-0.003-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Test-Fatal-0.003-1.el5

Comment 10 Fedora Update System 2010-11-26 08:09:13 UTC
perl-Test-Fatal-0.003-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-Test-Fatal-0.003-1.fc13

Comment 11 Fedora Update System 2010-11-26 08:09:20 UTC
perl-Test-Fatal-0.003-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Test-Fatal-0.003-1.fc14

Comment 12 Fedora Update System 2010-12-05 00:38:54 UTC
perl-Test-Fatal-0.003-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-12-05 00:39:36 UTC
perl-Test-Fatal-0.003-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-12-05 18:19:57 UTC
perl-Test-Fatal-0.003-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2010-12-05 18:20:06 UTC
perl-Test-Fatal-0.003-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Paul Howarth 2010-12-05 22:07:11 UTC
Built and released in all branches now.


Note You need to log in before you can comment on or make changes to this bug.